List keys and values with filtering
curl --request POST \
--url https://platform.versori.com/api/v2/store/{store}/kv/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"options": {
"limit": 100,
"reverse": true
},
"selector": {
"prefix": [
"<string>"
],
"before": "<string>",
"after": "<string>",
"filter": {
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"metadata": {}
}
}
}
'import requests
url = "https://platform.versori.com/api/v2/store/{store}/kv/list"
payload = {
"options": {
"limit": 100,
"reverse": True
},
"selector": {
"prefix": ["<string>"],
"before": "<string>",
"after": "<string>",
"filter": {
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"metadata": {}
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
options: {limit: 100, reverse: true},
selector: {
prefix: ['<string>'],
before: '<string>',
after: '<string>',
filter: {
createdAfter: '2023-11-07T05:31:56Z',
createdBefore: '2023-11-07T05:31:56Z',
metadata: {}
}
}
})
};
fetch('https://platform.versori.com/api/v2/store/{store}/kv/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"key": [
"<string>"
],
"value": "<unknown>",
"versionstamp": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"nextCursor": "<string>",
"prevCursor": "<string>"
}
}kv store
List keys and values with filtering
POST
/
store
/
{store}
/
kv
/
list
List keys and values with filtering
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
⌘I